%define		php_name	php%{?php_suffix}
%define		modname	apd
%define		status	stable
Summary:	%{modname} - full-featured engine-level profiler/debugger
Summary(pl.UTF-8):	%{modname} - w pełni funkcjonalny profiler/debugger dla PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.1
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	470ea75cde09f7504c83441911c86f29
Patch0:		php-pecl-%{modname}-cvs.patch
URL:		http://pecl.php.net/package/apd/
BuildRequires:	%{php_name}-devel >= 4:5.2.17-8
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_zend_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APD is a full-featured profiler/debugger that is loaded as a
zend_extension. It aims to be an analog of C's gprof or Perl's
Devel::DProf.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
APD to w pełni funkcjonalny profiler/debugger ładowany jako
rozszerzenie Zend. Ma być odpowiednikiem gprof z C lub perlowego
Devel::DProf.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
zend_extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-apd.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 2c6ccf8
support multiple php versions

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> fd8d39a
- zts off in >= 5.2.17-8

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> b84d11a
- the directive is just "zend_extension" in php 5.3

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> 8b6217c
- fix macros usage if ZTS is disabled

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 39ad9c5
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 84ff816
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d24f915
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 622fecd
- cvs.patch replaces -build_fix.patch

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 7924c15
- build_fix.patch replaced with -cvs.patch (contains all the fixes since
  1.0.1 release)
- release 7

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 82f558f
- use new php extension related macros

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 87c7dfa
- add missing provides

* Tue Jan 03 2006 Elan Ruusamäe <glen@pld-linux.org> 9eff84a
- php is with zts (fix config); rel 6

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 18521b2
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> bbbb842
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> da3e9cd
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 924ad02
-  workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> ba0661b
- this is zend extension, so require zend api versions

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> c313882
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 80e49ac
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> fc46c90
- full conf.d support and unifications

